Bug 18573 - /etc/rc.d/init.d/xfs should chmod a+r, not just +r.
Summary: /etc/rc.d/init.d/xfs should chmod a+r, not just +r.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.0
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-06 21:18 UTC by Geir Harald Hansen
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-14 17:43:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Geir Harald Hansen 2000-10-06 21:18:07 UTC
/etc/rc.d/init.d/xfs runs mkfontdir when needed.
It chmods only +r on fonts.dir and encodings.dir not at all.
Then it runs xfs -droppriv, which cannot read the files.

Fix:  chmod a+r fonts.dir encodings.dir

Also, the error message from xfs says that there is a bad font.  It should 
be saying that it is unable to open a file and which file that is.
(fonts.dir)

The result of this bug is that gdm keeps dying and restarting every 2 
seconds, as there is no xfs running.  Quite nasty and probably difficult 
to fix for a beginner.

Comment 1 Mike A. Harris 2001-03-01 21:22:12 UTC
Thanks, fixed in rawhide.  Will appear shortly.


Note You need to log in before you can comment on or make changes to this bug.